Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87749 - GLIBC_2.0 not defined in file libc.so.6
Summary: GLIBC_2.0 not defined in file libc.so.6
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc
Version: 1.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-02 00:50 UTC by Airbete
Modified: 2016-11-24 15:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-03 09:31:30 UTC


Attachments (Terms of Use)

Description Airbete 2003-04-02 00:50:04 UTC
Description of problem: 
I have a binary (which I cannot recompile since it's a commercial product) that was working 
fine with glibc-2.3.1-6 and glibc-2.3.1-51. But since I upgraded to glibc-2.3.2-11.9 it doesn't 
work anymore. I get this error: 
 
"symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference" 
 
It looks like there is an incompatibility problem. But am I correct to say that 2.3.1 executables 
should normally be able to run with glibc 2.3.2? 
 
Version-Release number of selected component (if applicable): 
glibc-2.3.2-11.9 
 
Thanks.

Comment 1 Jakub Jelinek 2003-04-03 09:31:30 UTC
There is a compatibility problem for broken binaries only.
No binary or library compiled against glibc 2.1+ should ever reference
errno, h_errno or _res symbols (errno etc. are macros which expand to
*__errno_location(), etc.).
You can use LD_ASSUME_KERNEL=2.4.1 (or 2.2.5) in the broken apps environ
to work around this, or if it is in the binary and not its libraries the
dynamic linker should do the workaround automatically.

Comment 2 Airbete 2003-04-03 22:36:42 UTC
Thanks a lot. It DID solve my problem. :-) 


Note You need to log in before you can comment on or make changes to this bug.